package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/mobile/apis"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOrgPlayerRankRouter)
}

// registerOrgTeamPlayerRouter
func registerOrgPlayerRankRouter(v1 *gin.RouterGroup) {
	api := apis.OrgPlayerRank{}
	r := v1.Group("/org-player-rank")
	{
		r.GET("", api.GetPage)
		r.GET("/team", api.GetPageTeam)
		r.GET("/team-info", api.GetPageTeamInfo)
		r.GET("/league", api.GetPageLeague)
	}
}
